<?php

include("seguranca.php"); // Inclui o arquivo com o sistema de segurança  
protegePagina(); // Chama a função que protege a página 

include "conexao.php";

$nome = $_POST['nome'];
$razao_social = $_POST['razao_social'];
$controlador = $_POST['controlador'];
$id_grupo = $_POST['id_grupo'] ? "'" . $_POST['id_grupo'] . "'" : 'NULL';
$id_setor = $_POST['id_setor'];
$id_atividade = $_POST['id_atividade'];
$missao = $_POST['missao'];
$criterios = $_POST['criterios'];
$politica_patrocinio = empty(trim(strip_tags($_POST['politica_patrocinio_txt'])))? 0 : 1;
$transparencia = intval($_POST['transparencia']);
$data_abertura = implode("-",array_reverse(explode("/",$_POST['data_abertura'])));
$lucro_liquido = $_POST['lucro_liquido'];
$site = $_POST['site'];
$dados_contato = $_POST['dados_contato'];
$estado = $_POST['estado'];
$cidade = $_POST['cidade'];
$endereco = $_POST['endereco'];
$envio_projetos = $_POST['envio_projetos'];
$receber_projetos = $_POST['receber_projetos'];
$informacoes_empresa = $_POST['informacoes_empresa'];
$created_at = date("Y-m-d H:i:s");
$projetos_apoia = $_POST['projetos_apoia'];
$projetos_desenvolve = $_POST['projetos_desenvolve'];
$regiao_atuacao = $_POST['regiao_atuacao'];
$area_atuacao = $_POST['area_atuacao'];
$beneficiarios = $_POST['beneficiarios'];
$criterio_apoio = $_POST['criterio_apoio'];
$quem_pode_candidatar = $_POST['quem_pode_candidatar'];
$politica_patrocinio_txt = $_POST['politica_patrocinio_txt'];
$esporte = $_POST['esporte_txt'];
$lei_incentivo = $_POST['lei_incentivo'];
$periodo_projetos = $_POST['periodo_projetos'];
$transparencia_txt = $_POST['transparencia_txt'];
$perfil_investimento = $_POST['perfil_investimento'];
$para_receber_projetos = array_key_exists('para_receber_projetos', $_POST) ? $_POST['para_receber_projetos'] : null;
$sociocultura = $_POST['sociocultura'];

$insert_empresa_query = "INSERT INTO empresas(nome, razao_social, controlador, id_grupo, id_setor, id_atividade, missao, criterios, politica_patrocinio, transparencia, data_abertura, lucro_liquido, site, dados_contato, estado, cidade, endereco, envio_projetos, receber_projetos, informacoes_empresa, created_at, projetos_apoia, projetos_desenvolve, regiao_atuacao, area_atuacao, beneficiarios, criterio_apoio, quem_pode_candidatar, politica_patrocinio_txt, lei_incentivo, periodo_projetos, transparencia_txt, perfil_investimento, para_receber_projetos, esporte_txt, sociocultura) VALUES ('$nome', '$razao_social', '$controlador', $id_grupo, '$id_setor', '$id_atividade', '$missao', '$criterios', '$politica_patrocinio', '$transparencia', '$data_abertura', '$lucro_liquido', '$site', '$dados_contato', '$estado', '$cidade', '$endereco', '$envio_projetos', '$receber_projetos', '$informacoes_empresa', '$created_at', '$projetos_apoia', '$projetos_desenvolve', '$regiao_atuacao', '$area_atuacao', '$beneficiarios', '$criterio_apoio', '$quem_pode_candidatar', '$politica_patrocinio_txt', '$lei_incentivo', '$periodo_projetos', '$transparencia_txt', '$perfil_investimento', '$para_receber_projetos', '$esporte', '$sociocultura')";
$insert = $sqli->query($insert_empresa_query);

/*
header('Content-Type: text/plain');
var_dump($insert_empresa_query);
*/

$sql_emp = $sqli->query("SELECT * FROM empresas WHERE nome='$nome' AND razao_social='$razao_social' ORDER BY id DESC LIMIT 1");
$row_emp = $sql_emp->fetch_assoc();
$id_empresa = (is_array($row_emp) && array_key_exists('id', $row_emp)) ? $row_emp['id'] : null;

$ano = array_key_exists('ano', $_POST) ? $_POST['ano'] : null;
$qtd = array_key_exists('qtd', $_POST) ? $_POST['qtd'] : null;
$id_segmento = array_key_exists('id_segmento', $_POST) ? $_POST['id_segmento'] : null;

if($ano && is_array($ano)) foreach ($ano as $indice => $value) {
    $ano_seg = $value;
    $qtd_seg = $qtd[$indice];
    $id_segmento_seg = $id_segmento[$indice];
    $insert_segmento_query[$indice] = "INSERT into segmentos_empresa (id_empresa, id_segmento, ano, count, created_at) VALUES ('$id_empresa', '$id_segmento_seg', '$ano_seg', '$qtd_seg', '" . date('Y-m-d H:i:s') . "')";
    $insert = $sqli->query($insert_segmento_query[$indice]);
}

$ano_invest = array_key_exists('ano_invest', $_POST) ? $_POST['ano_invest'] : null;
$valor_invest = array_key_exists('valor_invest', $_POST) ? $_POST['valor_invest'] : null;

if($ano_invest && is_array($ano_invest)) foreach ($ano_invest as $indice => $value) {
    $ano_invest_certo = $value;
    $valor_invest_certo = $valor_invest[$indice];
    $insert_invest_query[$indice] = "INSERT into investimentos_empresa (id_empresa, ano, valor, created_at) VALUES ('$id_empresa', '$ano_invest_certo', '$valor_invest_certo', '".date('Y-m-d H:i:s')."')";
    $insert = $sqli->query($insert_invest_query[$indice]);
}

$titulo = array_key_exists('titulo', $_POST) ? $_POST['titulo'] : null;
$texto = array_key_exists('texto', $_POST) ? $_POST['texto'] : null;

if($titulo && is_array($titulo)) foreach ($titulo as $indice => $value) {
    $titulo_certo = $value;
    $texto_certo = $texto[$indice];
    $insert_titulo_query[$indice] = "INSERT into informacoes_empresa (id_empresa, titulo, texto) VALUES ('$id_empresa', '$titulo_certo', '$texto_certo')";
    $insert = $sqli->query($insert_titulo_query[$indice]);
}

/*
var_dump($_POST);
exit;
*/

echo "<script> alert('Empresa cadastrada com sucesso'); window.location.href = 'empresas.php'; </script>";

?>